Login | Register
My pages Projects Community openCollabNet

Discussions > cvs > subclipse commit: rev 17 - in trunk/svnant/test: . initialRepos initialRepos/dav initialRepos/db initialRepos/hooks initialRepos/locks model model/copyTest model/copyTest/toCopy model/copyTest/toCopy/dirToCopy model/deleteTest model/deleteTest/deleteFromRepository model/deleteTest/deleteFromWorkingCopy model/deleteTest/deleteFromWorkingCopy/dir.del model/moveTest model/moveTest/dir1ToRename model/moveTest/dir2ToRename model/my_dir model/propTest model/toAdd model/toAdd/toAdd0 model/toAdd/toAdd0/toAdd1 model/toImport model/toImport/subdir

subclipse
Discussion topic

Back to topic list

subclipse commit: rev 17 - in trunk/svnant/test: . initialRepos initialRepos/dav initialRepos/db initialRepos/hooks initialRepos/locks model model/copyTest model/copyTest/toCopy model/copyTest/toCopy/dirToCopy model/deleteTest model/deleteTest/deleteFromRepository model/deleteTest/deleteFromWorkingCopy model/deleteTest/deleteFromWorkingCopy/dir.del model/moveTest model/moveTest/dir1ToRename model/moveTest/dir2ToRename model/my_dir model/propTest model/toAdd model/toAdd/toAdd0 model/toAdd/toAdd0/toAdd1 model/toImport model/toImport/subdir

Author cchab
Full name chabanois cédric
Date 2003-06-22 12:03:42 PDT
Message Author: cchab
Date: Sun Jun 22 14:03:40 2003
New Revision: 17

Added:
   trunk/svnant/test/
   trunk/svnant/test/bu​ild.properties
   trunk/svnant/test/build.xml
   trunk/svnant/test/initialRepos/
   trunk/svnant/test/in​itialRepos/README
   trunk/svnant/test/in​itialRepos/dav/
   trunk/svnant/test/in​itialRepos/db/
   trunk/svnant/test/in​itialRepos/db/DB_CON​FIG
   trunk/svnant/test/in​itialRepos/db/__db.0​01 (contents, props changed)
   trunk/svnant/test/in​itialRepos/db/__db.0​02 (contents, props changed)
   trunk/svnant/test/in​itialRepos/db/__db.0​03 (contents, props changed)
   trunk/svnant/test/in​itialRepos/db/__db.0​04 (contents, props changed)
   trunk/svnant/test/in​itialRepos/db/__db.0​05 (contents, props changed)
   trunk/svnant/test/in​itialRepos/db/change​s (contents, props changed)
   trunk/svnant/test/in​itialRepos/db/copies​ (contents, props changed)
   trunk/svnant/test/in​itialRepos/db/log.00​00000001 (contents, props changed)
   trunk/svnant/test/in​itialRepos/db/nodes (contents, props changed)
   trunk/svnant/test/in​itialRepos/db/repres​entations (contents, props changed)
   trunk/svnant/test/in​itialRepos/db/revisi​ons (contents, props changed)
   trunk/svnant/test/in​itialRepos/db/string​s (contents, props changed)
   trunk/svnant/test/in​itialRepos/db/transa​ctions (contents, props changed)
   trunk/svnant/test/in​itialRepos/db/uuids (contents, props changed)
   trunk/svnant/test/in​itialRepos/format
   trunk/svnant/test/in​itialRepos/hooks/
   trunk/svnant/test/in​itialRepos/hooks/pos​t-commit.tmpl
   trunk/svnant/test/in​itialRepos/hooks/pos​t-revprop-change.tmp​l
   trunk/svnant/test/in​itialRepos/hooks/pre​-commit.tmpl
   trunk/svnant/test/in​itialRepos/hooks/pre​-revprop-change.tmpl​
   trunk/svnant/test/in​itialRepos/hooks/sta​rt-commit.tmpl
   trunk/svnant/test/in​itialRepos/locks/
   trunk/svnant/test/in​itialRepos/locks/db.​lock
   trunk/svnant/test/model/
   trunk/svnant/test/mo​del/README.txt
   trunk/svnant/test/mo​del/copyTest/
   trunk/svnant/test/mo​del/copyTest/toCopy/​
   trunk/svnant/test/mo​del/copyTest/toCopy/​dirToCopy/
   trunk/svnant/test/mo​del/copyTest/toCopy/​dirToCopy/fileToCopy​2.txt
   trunk/svnant/test/mo​del/copyTest/toCopy/​fileToCopy.txt
   trunk/svnant/test/mo​del/deleteTest/
   trunk/svnant/test/mo​del/deleteTest/delet​eFromRepository/
   trunk/svnant/test/mo​del/deleteTest/delet​eFromRepository/will​bedeleted.txt
   trunk/svnant/test/mo​del/deleteTest/delet​eFromWorkingCopy/
   trunk/svnant/test/mo​del/deleteTest/delet​eFromWorkingCopy/dir​.del/
   trunk/svnant/test/mo​del/deleteTest/delet​eFromWorkingCopy/dir​.del/file.txt
   trunk/svnant/test/mo​del/deleteTest/delet​eFromWorkingCopy/dir​.del/file1.del
   trunk/svnant/test/mo​del/deleteTest/delet​eFromWorkingCopy/don​otdel.txt
   trunk/svnant/test/mo​del/deleteTest/delet​eFromWorkingCopy/fil​e0.del
   trunk/svnant/test/mo​del/fileprop.txt
   trunk/svnant/test/mo​del/moveTest/
   trunk/svnant/test/mo​del/moveTest/dir1ToR​ename/
   trunk/svnant/test/mo​del/moveTest/dir1ToR​ename/file0.txt
   trunk/svnant/test/mo​del/moveTest/dir2ToR​ename/
   trunk/svnant/test/mo​del/moveTest/dir2ToR​ename/file1.txt
   trunk/svnant/test/model/my_dir/
   trunk/svnant/test/mo​del/propTest/
   trunk/svnant/test/mo​del/propTest/file.pn​g
   trunk/svnant/test/mo​del/propTest/icon.gi​f (contents, props changed)
   trunk/svnant/test/model/toAdd/
   trunk/svnant/test/mo​del/toAdd/file0.add
   trunk/svnant/test/mo​del/toAdd/file1.add
   trunk/svnant/test/mo​del/toAdd/readme.txt​
   trunk/svnant/test/mo​del/toAdd/toAdd0/
   trunk/svnant/test/mo​del/toAdd/toAdd0/don​otcommit.add
   trunk/svnant/test/mo​del/toAdd/toAdd0/fil​e0.add
   trunk/svnant/test/mo​del/toAdd/toAdd0/toA​dd1/
   trunk/svnant/test/mo​del/toAdd/toAdd0/toA​dd1/dontadd.txt
   trunk/svnant/test/mo​del/toImport/
   trunk/svnant/test/mo​del/toImport/subdir/​
   trunk/svnant/test/mo​del/toImport/subdir/​toImport2.txt
   trunk/svnant/test/mo​del/toImport/toImpor​t.txt
Log:
tests added

Added: trunk/svnant/test/bu​ild.properties
====================​====================​====================​==================
--- (empty file)
+++ trunk/svnant/test/bu​ild.properties Sun Jun 22 14:03:40 2003
@@ -0,0 +1,19 @@
+# --------------------​--------------------​--------------------​-----------------
+# build.properties
+# This file is referenced by the build.xml file.
+#
+# $Id$
+# --------------------​--------------------​--------------------​-----------------
+
+
+# --------------------​--------------------​--------------------​-----------------
+# all jar needed
+# --------------------​--------------------​--------------------​-----------------
+lib.dir=../lib
+build.lib.dir=../build/lib
+
+jsvn.jar=${lib.dir}/jsvn.jar
+ant.jar=${lib.dir}/ant.jar
+svnant.jar=${build​.lib.dir}/svnant.jar​
+
+urlRepos=file:///F:​/Programmation/Proje​ts/subversion/svnant​/test/test_repos
\ No newline at end of file

Added: trunk/svnant/test/build.xml
====================​====================​====================​==================
--- (empty file)
+++ trunk/svnant/test/build.xml Sun Jun 22 14:03:40 2003
@@ -0,0 +1,134 @@
+<?xml version="1.0"?>
+
+<project name="svn-test" basedir="." default="all">
+
+ <!-- all properties are in build.properties
+ -->
+ <property file="build.properties" />
+ <path id="project.classpath">
+ <pathelement location="${jsvn.jar}" />
+ <pathelement location="${svnant.jar}" />
+ </path>
+
+ <taskdef name="svn" classname="org.tigri​s.subversion.svnant.​SvnTask" classpathref="projec​t.classpath"/>
+
+ <target name="clean">
+ <delete dir="my_repos"/>
+ <delete dir="test_repos"/>
+ <delete dir="coHEAD"/>
+ <delete dir="co0"/>
+ <delete dir="export1"/>
+ </target>
+
+ <target name="init" depends="clean">
+ <!-- first we copy the initial repository created using svnadmin to test_repos -->
+ <copy todir="test_repos">
+ <fileset dir="initialRepos"/>
+ </copy>
+
+ <!-- then we checkout it to my_repos -->
+ <svn>
+ <checkout url="${urlRepos}" destPath="my_repos" />
+ </svn>
+
+ <!-- we copy the model to my_repos -->
+ <copy todir="my_repos">
+ <fileset dir="model"/>
+ </copy>
+
+ <svn>
+ <add dir="my_repos/my_dir"/>
+ <add dir="my_repos/copyTest"/>
+ <add dir="my_repos/deleteTest"/>
+ <add dir="my_repos/moveTest"/>
+ <add dir="my_repos/propTest"/>
+ <add file="my_repos/README.txt"/>
+ <add file="my_repos/filep​rop.txt"/>
+ <commit message="initial import" dir="my_repos"/>
+ </svn>
+ </target>
+
+ <target name="testCheckout" depends="init">
+ <svn>
+ <checkout url="${urlRepos}" revision="HEAD" destPath="coHEAD" />
+ <checkout url="${urlRepos}" revision="0" destPath="co0" />
+ </svn>
+ </target>
+
+ <target name="testAddCommit" depends="init">
+ <svn>
+ <add>
+ <fileset dir="my_repos">
+ <include name="**/*.add"/>
+ </fileset>
+ </add>
+ <commit message="commit added files">
+ <fileset dir="my_repos">
+ <include name="**/*.add"/>
+ <exclude name="**/donotcommit.*"/>
+ </fileset>
+ </commit>
+ </svn>
+ </target>
+
+ <target name="testCopy" depends="init">
+ <svn>
+ <copy srcPath="my_repos/co​pyTest/toCopy" destPath="my_repos/c​opyTest/copy1" />
+ <commit message="commit moved files" dir="my_repos/copyTest"/>
+ <copy srcUrl="${urlRepos}​/copyTest/toCopy" destUrl="${urlRepos​}/copyTest/copy2" message="directory copied" />
+ </svn>
+ </target>
+
+ <target name="testDelete" depends="init">
+ <svn>
+ <delete url="${urlRepos}/de​leteTest/deleteFromR​epository" message="deleted for test" />
+ <delete>
+ <fileset dir="my_repos/deleteTest">
+ <include name="**/*.del"/>
+ </fileset>
+ </delete>
+ <commit message="commit deleted files" dir="my_repos/deleteTest"/>
+ </svn>
+ </target>
+
+ <target name="testExport" depends="init">
+ <svn>
+ <export srcUrl="${urlRepos}" revision="1" destPath="export1"/>
+ </svn>
+ </target>
+
+ <target name="testImport" depends="init">
+ <svn logLevel="3">
+ <import url="${urlRepos}/" path="model/toImport" message="toImport imported"/>
+ </svn>
+ </target>
+
+ <target name="testMkdir" depends="init">
+ <svn>
+ <mkdir url="${urlRepos}/testMkdir1" message="test mkdir 1"/>
+ <mkdir path="my_repos/testMkdir2"/>
+ <commit dir="my_repos/testMkdir2" message="test mkdir 2"/>
+ </svn>
+ </target>
+
+ <target name="testMove" depends="init">
+ <svn>
+ <move srcpath="my_repos/mo​veTest/dir1ToRename"​ destpath="my_repos/m​oveTest/dir1Renamed"​/>
+ <move srcUrl="${urlRepos}​/moveTest/dir2ToRena​me"
+ destUrl="${urlRepos​}/moveTest/dir2Renam​ed"
+ message="dir renamed"/>
+ <commit dir="my_repos/moveTest" message="dir1 renamed"/>
+ </svn>
+ </target>
+
+ <target name="testProp" depends="init">
+ <svn>
+ <propset path="my_repos/propT​est/file.png" name="svn:mime-type" value="image/png"/>
+ <propset path="my_repos/propT​est/file.png" name="myPicture" file="my_repos/propT​est/icon.gif"/>
+ </svn>
+ </target>
+
+ <target name="all" depends="init,testCh​eckout,testAddCommit​,testCopy,testDelete​,testExport,testImpo​rt,testMkdir,testMov​e">
+ </target>
+
+</project>

Added: trunk/svnant/test/in​itialRepos/README
====================​====================​====================​==================
--- (empty file)
+++ trunk/svnant/test/in​itialRepos/README Sun Jun 22 14:03:40 2003
@@ -0,0 +1,9 @@
+This is a Subversion repository; use the `svnadmin' tool to examine
+it. Do not add, delete, or modify files here unless you know how
+to avoid corrupting the repository.
+
+The directory "db" contains a Berkeley DB environment.
+You may need to tweak the values in "db/DB_CONFIG" to match the
+requirements of your site.
+
+Visit http://subversion.tigris.org/ for more information.

Added: trunk/svnant/test/in​itialRepos/db/DB_CON​FIG
====================​====================​====================​==================
--- (empty file)
+++ trunk/svnant/test/in​itialRepos/db/DB_CON​FIG Sun Jun 22 14:03:40 2003
@@ -0,0 +1,37 @@
+# This is the configuration file for the Berkeley DB environment
+# used by your Subversion repository.
+# You must run 'svnadmin recover' whenever you modify this file,
+# for your changes to take effect.
+
+### Lock subsystem
+#
+# Make sure you read the documentation at:
+#
+# http://www.sleepycat​.com/docs/ref/lock/m​ax.html
+#
+# before tweaking these values.
+set_lk_max_locks 2000
+set_lk_max_lockers 2000
+set_lk_max_objects 2000
+
+### Log file subsystem
+#
+# Make sure you read the documentation at:
+#
+# http://www.sleepycat​.com/docs/api_c/env_​set_lg_bsize.html
+# http://www.sleepycat​.com/docs/api_c/env_​set_lg_max.html
+# http://www.sleepycat​.com/docs/ref/log/li​mits.html
+#
+# Increase the size of the in-memory log buffer from the default
+# of 32 Kbytes to 256 Kbytes. Decrease the log file size from
+# 10 Mbytes to 1 Mbyte. This will help reduce the amount of disk
+# space required for hot backups. The size of the log file must be
+# at least four times the size of the in-memory log buffer.
+#
+# Note: Decreasing the in-memory buffer size below 256 Kbytes
+# will hurt commit performance. For details, see this post from
+# Daniel Berlin <dan at dberlin dot org>:
+#
+# http://subversion.ti​gris.org/servlets/Re​adMsg?list=dev&m​sgId=161960
+set_lg_bsize 262144
+set_lg_max 1048576

Added: trunk/svnant/test/in​itialRepos/db/__db.0​01
====================​====================​====================​==================
Binary file. No diff available.

Added: trunk/svnant/test/in​itialRepos/db/__db.0​02
====================​====================​====================​==================
Binary file. No diff available.

Added: trunk/svnant/test/in​itialRepos/db/__db.0​03
====================​====================​====================​==================
Binary file. No diff available.

Added: trunk/svnant/test/in​itialRepos/db/__db.0​04
====================​====================​====================​==================
Binary file. No diff available.

Added: trunk/svnant/test/in​itialRepos/db/__db.0​05
====================​====================​====================​==================
Binary file. No diff available.

Added: trunk/svnant/test/in​itialRepos/db/change​s
====================​====================​====================​==================
Binary file. No diff available.

Added: trunk/svnant/test/in​itialRepos/db/copies​
====================​====================​====================​==================
Binary file. No diff available.

Added: trunk/svnant/test/in​itialRepos/db/log.00​00000001
====================​====================​====================​==================
Binary file. No diff available.

Added: trunk/svnant/test/in​itialRepos/db/nodes
====================​====================​====================​==================
Binary file. No diff available.

Added: trunk/svnant/test/in​itialRepos/db/repres​entations
====================​====================​====================​==================
Binary file. No diff available.

Added: trunk/svnant/test/in​itialRepos/db/revisi​ons
====================​====================​====================​==================
Binary file. No diff available.

Added: trunk/svnant/test/in​itialRepos/db/string​s
====================​====================​====================​==================
Binary file. No diff available.

Added: trunk/svnant/test/in​itialRepos/db/transa​ctions
====================​====================​====================​==================
Binary file. No diff available.

Added: trunk/svnant/test/in​itialRepos/db/uuids
====================​====================​====================​==================
Binary file. No diff available.

Added: trunk/svnant/test/in​itialRepos/format
====================​====================​====================​==================
--- (empty file)
+++ trunk/svnant/test/in​itialRepos/format Sun Jun 22 14:03:40 2003
@@ -0,0 +1 @@
+1

Added: trunk/svnant/test/in​itialRepos/hooks/pos​t-commit.tmpl
====================​====================​====================​==================
--- (empty file)
+++ trunk/svnant/test/in​itialRepos/hooks/pos​t-commit.tmpl Sun Jun 22 14:03:40 2003
@@ -0,0 +1,36 @@
+#!/bin/sh
+
+# POST-COMMIT HOOK
+#
+# The post-commit hook is invoked after a commit. Subversion runs
+# this hook by invoking a program (script, executable, binary,
+# etc.) named `post-commit' (for which
+# this file is a template) with the following ordered arguments:
+#
+# [1] REPOS-PATH (the path to this repository)
+# [2] REV (the number of the revision just committed)
+#
+# Because the commit has already completed and cannot be undone,
+# the exit code of the hook program is ignored. The hook program
+# can use the `svnlook' utility to help it examine the
+# newly-committed tree.
+#
+# On a Unix system, the normal procedure is to have `post-commit'
+# invoke other programs to do the real work, though it may do the
+# work itself too.
+#
+# Note that `post-commit' must be executable by the user(s) who will
+# invoke it (typically the user httpd runs as), and that user must
+# have filesystem-level permission to access the repository.
+#
+# On a Windows system, you should name the hook program
+# `post-commit.bat' or `post-commit.exe',
+# but the basic idea is the same.
+#
+# Here is an example hook script, for a Unix /bin/sh interpreter:
+
+REPOS="$1"
+REV="$2"
+
+commit-email.pl "$REPOS" "$REV" commit-watchers at example dot org
+log-commit.py --repository "$REPOS" --revision "$REV"

Added: trunk/svnant/test/in​itialRepos/hooks/pos​t-revprop-change.tmp​l
====================​====================​====================​==================
--- (empty file)
+++ trunk/svnant/test/in​itialRepos/hooks/pos​t-revprop-change.tmp​l Sun Jun 22 14:03:40 2003
@@ -0,0 +1,40 @@
+#!/bin/sh
+
+# POST-REVPROP-CHANGE HOOK
+#
+# The post-revprop-change hook is invoked after a revision property
+# has been changed. Subversion runs this hook by invoking a program
+# (script, executable, binary, etc.) named `post-revprop-change'
+# (for which this file is a template), with the following ordered
+# arguments:
+#
+# [1] REPOS-PATH (the path to this repository)
+# [2] REV (the revision that was tweaked)
+# [3] USER (the username of the person tweaking the property)
+# [4] PROPNAME (the property that was changed)
+#
+# Because the propchange has already completed and cannot be undone,
+# the exit code of the hook program is ignored. The hook program
+# can use the `svnlook' utility to help it examine the
+# new property value.
+#
+# On a Unix system, the normal procedure is to have `post-revprop-change'
+# invoke other programs to do the real work, though it may do the
+# work itself too.
+#
+# Note that `post-revprop-change' must be executable by the user(s) who will
+# invoke it (typically the user httpd runs as), and that user must
+# have filesystem-level permission to access the repository.
+#
+# On a Windows system, you should name the hook program
+# `post-revprop-change.bat' or `post-revprop-change.exe',
+# but the basic idea is the same.
+#
+# Here is an example hook script, for a Unix /bin/sh interpreter:
+
+REPOS="$1"
+REV="$2"
+USER="$3"
+PROPNAME="$4"
+
+propchange-email.pl "$REPOS" "$REV" "$USER" "$PROPNAME" watchers at example dot org

Added: trunk/svnant/test/in​itialRepos/hooks/pre​-commit.tmpl
====================​====================​====================​==================
--- (empty file)
+++ trunk/svnant/test/in​itialRepos/hooks/pre​-commit.tmpl Sun Jun 22 14:03:40 2003
@@ -0,0 +1,53 @@
+#!/bin/sh
+
+# PRE-COMMIT HOOK
+#
+# The pre-commit hook is invoked before a Subversion txn is
+# committed. Subversion runs this hook by invoking a program
+# (script, executable, binary, etc.) named `pre-commit' (for which
+# this file is a template), with the following ordered arguments:
+#
+# [1] REPOS-PATH (the path to this repository)
+# [2] TXN-NAME (the name of the txn about to be committed)
+#
+# If the hook program exits with success, the txn is committed; but
+# if it exits with failure (non-zero), the txn is aborted and no
+# commit takes place. The hook program can use the `svnlook'
+# utility to help it examine the txn.
+#
+# On a Unix system, the normal procedure is to have `pre-commit'
+# invoke other programs to do the real work, though it may do the
+# work itself too.
+#
+# *** NOTE: THE HOOK PROGRAM MUST NOT MODIFY THE TXN. ***
+# This is why we recommend using the read-only `svnlook' utility.
+# In the future, Subversion may enforce the rule that pre-commit
+# hooks should not modify txns, or else come up with a mechanism
+# to make it safe to do so (by informing the committing client of
+# the changes). However, right now neither mechanism is
+# implemented, so hook writers just have to be careful.
+#
+# Note that `pre-commit' must be executable by the user(s) who will
+# invoke it (typically the user httpd runs as), and that user must
+# have filesystem-level permission to access the repository.
+#
+# On a Windows system, you should name the hook program
+# `pre-commit.bat' or `pre-commit.exe',
+# but the basic idea is the same.
+#
+# Here is an example hook script, for a Unix /bin/sh interpreter:
+
+REPOS="$1"
+TXN="$2"
+
+# Make sure that the log message contains some text.
+SVNLOOK=/usr/local/bin/svnlook
+LOG=`$SVNLOOK log -t "$TXN" "$REPOS"`
+echo "$LOG" | grep "[a-zA-Z0-9]" > /dev/null || exit 1
+
+# Check that the author of this commit has the rights to perform
+# the commit on the files and directories being modified.
+commit-access-control.pl "$REPOS" "$TXN" commit-access-control.cfg || exit 1
+
+# All checks passed, so allow the commit.
+exit 0

Added: trunk/svnant/test/in​itialRepos/hooks/pre​-revprop-change.tmpl​
====================​====================​====================​==================
--- (empty file)
+++ trunk/svnant/test/in​itialRepos/hooks/pre​-revprop-change.tmpl​ Sun Jun 22 14:03:40 2003
@@ -0,0 +1,49 @@
+#!/bin/sh
+
+# PRE-REVPROP-CHANGE HOOK
+#
+# The pre-revprop-change hook is invoked before a revision property
+# is modified. Subversion runs this hook by invoking a program
+# (script, executable, binary, etc.) named `pre-revprop-change' (for which
+# this file is a template), with the following ordered arguments:
+#
+# [1] REPOS-PATH (the path to this repository)
+# [2] REVISION (the revision being tweaked)
+# [3] USER (the username of the person tweaking the property)
+# [4] PROPNAME (the property being set on the revision)
+#
+# [STDIN] PROPVAL ** the property value is passed via STDIN.
+#
+# If the hook program exits with success, the propchange happens; but
+# if it exits with failure (non-zero), the propchange doesn't happen.
+# The hook program can use the `svnlook' utility to examine the
+# existing value of the revision property.
+#
+# WARNING: unlike other hooks, this hook MUST exist for revision
+# properties to be changed. If the hook does not exist, Subversion
+# will behave as if the hook were present, but failed. The reason
+# for this is that revision properties are UNVERSIONED, meaning that
+# a successful propchange is destructive; the old value is gone
+# forever. We recommend the hook back up the old value somewhere.
+#
+# On a Unix system, the normal procedure is to have `pre-revprop-change'
+# invoke other programs to do the real work, though it may do the
+# work itself too.
+#
+# Note that `pre-revprop-change' must be executable by the user(s) who will
+# invoke it (typically the user httpd runs as), and that user must
+# have filesystem-level permission to access the repository.
+#
+# On a Windows system, you should name the hook program
+# `pre-revprop-change.bat' or `pre-revprop-change.exe',
+# but the basic idea is the same.
+#
+# Here is an example hook script, for a Unix /bin/sh interpreter:
+
+REPOS="$1"
+REV="$2"
+USER="$3"
+PROPNAME="$4"
+
+if [ "$PROPNAME" = "svn:log" ]; then exit 0; fi
+exit 1

Added: trunk/svnant/test/in​itialRepos/hooks/sta​rt-commit.tmpl
====================​====================​====================​==================
--- (empty file)
+++ trunk/svnant/test/in​itialRepos/hooks/sta​rt-commit.tmpl Sun Jun 22 14:03:40 2003
@@ -0,0 +1,39 @@
+#!/bin/sh
+
+# START-COMMIT HOOK
+#
+# The start-commit hook is invoked before a Subversion txn is created
+# in the process of doing a commit. Subversion runs this hook
+# by invoking a program (script, executable, binary, etc.) named
+# `start-commit' (for which this file is a template)
+# with the following ordered arguments:
+#
+# [1] REPOS-PATH (the path to this repository)
+# [2] USER (the authenticated user attempting to commit)
+#
+# If the hook program exits with success, the commit continues; but
+# if it exits with failure (non-zero), the commit is stopped before
+# even a Subversion txn is created.
+#
+# On a Unix system, the normal procedure is to have `start-commit'
+# invoke other programs to do the real work, though it may do the
+# work itself too.
+#
+# Note that `start-commit' must be executable by the user(s) who will
+# invoke it (typically the user httpd runs as), and that user must
+# have filesystem-level permission to access the repository.
+#
+# On a Windows system, you should name the hook program
+# `start-commit.bat' or `start-commit.exe',
+# but the basic idea is the same.
+#
+# Here is an example hook script, for a Unix /bin/sh interpreter:
+
+REPOS="$1"
+USER="$2"
+
+commit-allower.pl --repository "$REPOS" --user "$USER" || exit 1
+special-auth-check.py --user "$USER" --auth-level 3 || exit 1
+
+# All checks passed, so allow the commit.
+exit 0

Added: trunk/svnant/test/in​itialRepos/locks/db.​lock
====================​====================​====================​==================
--- (empty file)
+++ trunk/svnant/test/in​itialRepos/locks/db.​lock Sun Jun 22 14:03:40 2003
@@ -0,0 +1,10 @@
+DB lock file, representing locks on the versioned filesystem.
+
+All accessors -- both readers and writers -- of the repository's
+Berkeley DB environment take out shared locks on this file, and
+each accessor removes its lock when done. If and when the DB
+recovery procedure is run, the recovery code takes out an
+exclusive lock on this file, so we can be sure no one else is
+using the DB during the recovery.
+
+You should never have to edit or remove this file.

Added: trunk/svnant/test/mo​del/README.txt
====================​====================​====================​==================
--- (empty file)
+++ trunk/svnant/test/mo​del/README.txt Sun Jun 22 14:03:40 2003
@@ -0,0 +1 @@
+This is the test directory used for junit tests.
\ No newline at end of file

Added: trunk/svnant/test/mo​del/copyTest/toCopy/​dirToCopy/fileToCopy​2.txt
====================​====================​====================​==================
--- (empty file)
+++ trunk/svnant/test/mo​del/copyTest/toCopy/​dirToCopy/fileToCopy​2.txt Sun Jun 22 14:03:40 2003
@@ -0,0 +1 @@
+Second file to copy
\ No newline at end of file

Added: trunk/svnant/test/mo​del/copyTest/toCopy/​fileToCopy.txt
====================​====================​====================​==================
--- (empty file)
+++ trunk/svnant/test/mo​del/copyTest/toCopy/​fileToCopy.txt Sun Jun 22 14:03:40 2003
@@ -0,0 +1 @@
+file that will be copied
\ No newline at end of file

Added: trunk/svnant/test/mo​del/deleteTest/delet​eFromRepository/will​bedeleted.txt
====================​====================​====================​==================
--- (empty file)
+++ trunk/svnant/test/mo​del/deleteTest/delet​eFromRepository/will​bedeleted.txt Sun Jun 22 14:03:40 2003
@@ -0,0 +1 @@
+This file will be deleted from repository
\ No newline at end of file

Added: trunk/svnant/test/mo​del/deleteTest/delet​eFromWorkingCopy/dir​.del/file.txt
====================​====================​====================​==================

Added: trunk/svnant/test/mo​del/deleteTest/delet​eFromWorkingCopy/dir​.del/file1.del
====================​====================​====================​==================

Added: trunk/svnant/test/mo​del/deleteTest/delet​eFromWorkingCopy/don​otdel.txt
====================​====================​====================​==================

Added: trunk/svnant/test/mo​del/deleteTest/delet​eFromWorkingCopy/fil​e0.del
====================​====================​====================​==================

Added: trunk/svnant/test/mo​del/fileprop.txt
====================​====================​====================​==================
--- (empty file)
+++ trunk/svnant/test/mo​del/fileprop.txt Sun Jun 22 14:03:40 2003
@@ -0,0 +1 @@
+This file is used to test properties.
\ No newline at end of file

Added: trunk/svnant/test/mo​del/moveTest/dir1ToR​ename/file0.txt
====================​====================​====================​==================

Added: trunk/svnant/test/mo​del/moveTest/dir2ToR​ename/file1.txt
====================​====================​====================​==================

Added: trunk/svnant/test/mo​del/propTest/file.pn​g
====================​====================​====================​==================
--- (empty file)
+++ trunk/svnant/test/mo​del/propTest/file.pn​g Sun Jun 22 14:03:40 2003
@@ -0,0 +1 @@
+file that will be copied
\ No newline at end of file

Added: trunk/svnant/test/mo​del/propTest/icon.gi​f
====================​====================​====================​==================
Binary file. No diff available.

Added: trunk/svnant/test/mo​del/toAdd/file0.add
====================​====================​====================​==================

Added: trunk/svnant/test/mo​del/toAdd/file1.add
====================​====================​====================​==================

Added: trunk/svnant/test/mo​del/toAdd/readme.txt​
====================​====================​====================​==================
--- (empty file)
+++ trunk/svnant/test/mo​del/toAdd/readme.txt​ Sun Jun 22 14:03:40 2003
@@ -0,0 +1 @@
+Only *.add files will be added.
\ No newline at end of file

Added: trunk/svnant/test/mo​del/toAdd/toAdd0/don​otcommit.add
====================​====================​====================​==================
--- (empty file)
+++ trunk/svnant/test/mo​del/toAdd/toAdd0/don​otcommit.add Sun Jun 22 14:03:40 2003
@@ -0,0 +1 @@
+file that will be added but not commited during test.
\ No newline at end of file

Added: trunk/svnant/test/mo​del/toAdd/toAdd0/fil​e0.add
====================​====================​====================​==================

Added: trunk/svnant/test/mo​del/toAdd/toAdd0/toA​dd1/dontadd.txt
====================​====================​====================​==================

Added: trunk/svnant/test/mo​del/toImport/subdir/​toImport2.txt
====================​====================​====================​==================

Added: trunk/svnant/test/mo​del/toImport/toImpor​t.txt
====================​====================​====================​==================

--------------------​--------------------​--------------------​---------
To unsubscribe, e-mail: cvs-unsubscribe@subc​lipse.tigris.org
For additional commands, e-mail: cvs-help at subclipse dot tigris dot org

« Previous message in topic | 1 of 1 | Next message in topic »

Messages

Show all messages in topic

subclipse commit: rev 17 - in trunk/svnant/test: . initialRepos initialRepos/dav initialRepos/db initialRepos/hooks initialRepos/locks model model/copyTest model/copyTest/toCopy model/copyTest/toCopy/... cchab chabanois cédric 2003-06-22 12:03:42 PDT
Messages per page: